package com.kingdee.eas.custom.projectbonus;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class BonusCycleBusDepProjectFactory
{
    private BonusCycleBusDepProjectFactory()
    {
    }
    public static com.kingdee.eas.custom.projectbonus.IBonusCycleBusDepProject getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.projectbonus.IBonusCycleBusDepProject)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("394F1FA6") ,com.kingdee.eas.custom.projectbonus.IBonusCycleBusDepProject.class);
    }
    
    public static com.kingdee.eas.custom.projectbonus.IBonusCycleBusDepProject getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.projectbonus.IBonusCycleBusDepProject)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("394F1FA6") ,com.kingdee.eas.custom.projectbonus.IBonusCycleBusDepProject.class, objectCtx);
    }
    public static com.kingdee.eas.custom.projectbonus.IBonusCycleBusDepProject getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.projectbonus.IBonusCycleBusDepProject)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("394F1FA6"));
    }
    public static com.kingdee.eas.custom.projectbonus.IBonusCycleBusDepProject getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.projectbonus.IBonusCycleBusDepProject)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("394F1FA6"));
    }
}